﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.rectangle.ContextMenuOpening += rectangle_ContextMenuOpening;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 사각형 컨텍스트 메뉴 오픈 전 처리하기 - rectangle_ContextMenuOpening(sender, e)

        /// <summary>
        /// 사각형 컨텍스트 메뉴 오픈 전 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void rectangle_ContextMenuOpening(object sender, ContextMenuEventArgs e)
        {
            Rectangle rectangle = e.Source as Rectangle;

            ContextMenu contextMenu = rectangle.ContextMenu;

            foreach(MenuItem menuItem in contextMenu.Items)
            {
                if((string)menuItem.Header == "메뉴 항목 4")
                {
                    return;
                }
            }

            MenuItem menuItem4 = new MenuItem();

            menuItem4.Header = "메뉴 항목 4";

            rectangle.ContextMenu.Items.Add(menuItem4);
        }

        #endregion
    }
}